Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
ericepalmer
@ericepalmer
Unable to save binary /usr/local/lib/node_modules/sproutcore/node_modules/node-sass/vendor/darwin-x64-64 : { Error: EACCES: permission denied, mkdir '/usr/local/lib/node_modules/sproutcore/node_modules/node-sass/vendor'
at Object.mkdirSync (fs.js:757:3)
at sync (/usr/local/lib/node_modules/sproutcore/node_modules/mkdirp/index.js:71:13)
at Function.sync (/usr/local/lib/node_modules/sproutcore/node_modules/mkdirp/index.js:77:24)
at checkAndDownloadBinary (/usr/local/lib/node_modules/sproutcore/node_modules/node-sass/scripts/install.js:114:11)
at Object.<anonymous> (/usr/local/lib/node_modules/sproutcore/node_modules/node-sass/scripts/install.js:157:1)
at Module._compile (internal/modules/cjs/loader.js:776:30)
at Object.Module._extensions..js (internal/modules/cjs/loader.js:787:10)
at Module.load (internal/modules/cjs/loader.js:653:32)
at tryModuleLoad (internal/modules/cjs/loader.js:593:12)
at Function.Module._load (internal/modules/cjs/loader.js:585:3)
errno: -13,
syscall: 'mkdir',
code: 'EACCES',
path:
'/usr/local/lib/node_modules/sproutcore/node_modules/node-sass/vendor' }
(and others following). I tried making the directories by hand and didn't have a problem, but the error persisted.
-- Nevermind. I fixed /usr/local/lib (chown)
Ben
@bszyman

Hello SproutCore Friends!

I made this with your framework: https://www.classicmacfinder.com/server-admin/

I do have to say that even though I really like Vue, SproutCore is a lot of fun and surprisingly very productive... especially for a mostly-backend guy. I made that whole Server Admin clone in about a months time, learning as I went, so I won’t pretend to really know SC in/out, but I am happy to help contribute to the project if I can.

Nicolas Badia
@nicolasbadia
Hi Ben, glad to hear that. You are welcome in the Sproutcore community. It is nice to see new people seeing the value of Sproutcore.
Marcos Contreras
@contrerasmarc
@ericepalmer Sorry the delay, but all work for me with :
$ sudo npm install -g --unsafe-perm sproutcore
Marcos Contreras
@contrerasmarc
I'm trying to make work sproutcore with node 12.16.2, but I have a problem when I perform 'sproutcore serve': ERROR: Sass parsing error in /Users/marcoscontreras/.nvm/versions/node/v12.16.2/lib/node_modules/sproutcore/frameworks/sproutcore/frameworks/desktop/resources/icons.css: Error: no mixin named slice
@bszyman Great job Ben with 'server-admin'
Maurits Lamers
@mauritslamers
hmm
@contrerasmarc yes, one of the things we have been doing is to get rid of the slicing all together
in tandem with switching to Aki as default theme
Aki is very similar, but doesn't use image slicing at all
The @slice command was specifically for the image slicer and would be parsed before the css would ever end up in sass. So, if you switch to Aki as theme, your problem should be solved
fpkfpk
@fpkfpk
Hello, starting my app nowadays show the following message in the console: seems a foundation.js problem, line 9849 "status = appCache.status". [Deprecation] Application Cache API use is deprecated and will be removed in M82, around April 2020. See https://www.chromestatus.com/features/6192449487634432 for more details.
_appCacheStatusDidChange @ foundation.js:9849
What can be done to remove this warning, any suggestions? Thanks in advance.
Nicolas Badia
@nicolasbadia
@fpkfpk @mauritslamers: On our branch, we have dropped appCache (in favor of service workers) a long time ago. I think we should remove it from SC and the Build Tools. If we have an agreement, I can take care of this.
fpkfpk
@fpkfpk
I am a beginner, so please explain where do we go from here? Do I need to download a new version of sproutcore?
Maurits Lamers
@mauritslamers
@nicolasbadia completely agree
@fpkfpk we will come back to you as soon as we have some upgrade path. Most likely it will simply require you to update the build tools through npm, depending on whether you have SproutCore installed as a framework in your project.
Nicolas Badia
@nicolasbadia
@fpkfpk Hi, SC.appCache has been removed from master
fpkfpk
@fpkfpk
OK, thanks, just removal or replaced? But please some explanation in detail about the necessary steps. cli "sproutcore -V" returns 0.0.1
fpkfpk
@fpkfpk
OK, sorry for the delay, but my question is still unanswered, "what to do?" to solve the deprecation message, see April 16 11:46 hour. Thanks in advance.
Maurits Lamers
@mauritslamers
@fpkfpk Sorry for the delay, I only just saw your message, as gitter only today sent me a notification of your message.
The biggest question I have at the moment is where your SproutCore framework "lives": in your project or as part of the BT (the sproutcore cli)?
Maurits Lamers
@mauritslamers
@fpkfpk npm package updated to contain the fixes removing SC.appCache
fpkfpk
@fpkfpk
Our Sproutcore app is used together with Grails, the used line in the total build/deploy command file is "/usr/local/bin/sproutcore build"